Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\Gateway Class Reference

The Gateway provides the implementation to retrieve the desired documents from Elasticsearch index storage. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\Gateway:

## Public Member Functions
| index (Document $document)
| Indexes a given $document. More...
| bulkIndex (array $documents)
| Performs bulk index of a given array of documents. More...
| find (Query $query, $type, array $languageFilter=[])
| Finds and returns documents of a given $type for a given $query object. More...
| findRaw ($query, $type)
| Finds and returns documents of a given $type for a given $query string. More...
| purgeIndex ($type)
| Deletes all documents of a given $type from the index. More...
| delete ($id, $type)
| Deletes a single document of the given $type by given document $id. More...
| deleteByQuery ($query, $type)
| Deletes a document(s) of the given $type by given $query string. More...
| flush ()
| Flushes data from memory to the index storage. More...

## Detailed Description

The Gateway provides the implementation to retrieve the desired documents from Elasticsearch index storage.

Deprecated:

Definition at line 17 of file Search/Elasticsearch/Content/Gateway.php.

## Member Function Documentation

## ◆ bulkIndex()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::bulkIndex | ( | array | $documents | ) |
| abstract

Performs bulk index of a given array of documents.

Parameters

  \eZ\Publish\Core\Search\Elasticsearch\Content\Document[] | $documents |

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ delete()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::delete | ( |  | $id,
|  |  | $type
| ) |  |
| abstract

Deletes a single document of the given $type by given document $id.

Parameters

  int | string | $id |
  string | $type |

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ deleteByQuery()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::deleteByQuery | ( |  | $query,
|  |  | $type
| ) |  |
| abstract

Deletes a document(s) of the given $type by given $query string.

Parameters

  string | $query |
  string | $type |

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ find()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::find | ( | Query | $query,
|  |  | $type,
|  | array | $languageFilter = `[]`
| ) |  |
| abstract

Finds and returns documents of a given $type for a given $query object.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query | $query |
  string | $type |
  array | $languageFilter |

Returns
  mixed

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ findRaw()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::findRaw | ( |  | $query,
|  |  | $type
| ) |  |
| abstract

Finds and returns documents of a given $type for a given $query string.

Parameters

  string | $query |
  string | $type |

Returns
  \eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Message

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ flush()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::flush | ( |  | ) |
| abstract

Flushes data from memory to the index storage.

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ index()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::index | ( | Document | $document | ) |
| abstract

Indexes a given $document.

Parameters

  \eZ\Publish\Core\Search\Elasticsearch\Content\Document | $document |

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

## ◆ purgeIndex()

eZ\Publish\Core\Search\Elasticsearch\Content\Gateway::purgeIndex | ( |  | $type | ) |
| abstract

Deletes all documents of a given $type from the index.

Parameters

  string | $type |

Reimplemented in eZ\Publish\Core\Search\Elasticsearch\Content\Gateway\Native.

The documentation for this class was generated from the following file:

- Search/Elasticsearch/Content/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.